algorithmic modeling for Rhino
I'm having trouble accessing Perpendicular Frames derived from a Curve. I may (or may not) be successfully getting the frames into an array but I certainly can't get them out. Any ideas? Perhaps I'm going about this in the wrong way altogether... Here's the code:
Dim myDouble As New List(Of Double)
myDouble.Add(.5)
Dim arrPlane As Plane()
arrPlane = myCrv.GetPerpendicularFrames(myDouble)
Dim myPlanes As New List (Of Plane)
myPlanes.Add(arrPlane(0)) 'ERROR IS HERE I THINK!
A = myPlanes
Tags:
If you want to add more than one item at a time to a List, you need to use AddRange() instead of Add().
--
David Rutten
david@mcneel.com
Poprad, Slovakia
Thanks David. Unfortunately replacing Add with AddRange only reveals a further problem with my script. I get the following error:
Error: Value of type 'Rhino.Geometry.Plane' cannot be converted to 'System.Collections.Generic.IEnumberable(Of Rhino.Geometry.Plane)'.
Any ideas? Many thanks!
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by